package test;

import usn.util.i18n.I18nItem;
import static usn.util.i18n.I18nItem.p;

public class DemoClassI18n
  {
    static class AppSpecificI18nItem extends I18nItem
      {
        private static final long serialVersionUID = 1L;

        AppSpecificI18nItem (LanguagePair... data)
          {
            super (data);
          }

        @Override
        protected String getDefaultLanguage ()
          {
            return "fr";
          }

        @Override
        protected String [] getUserLanguages ()
          {
            // normally we are expected to do something more interesting here...
            return super.getUserLanguages ();
          }
      } // class AppSpecificI18nItem

    public static I18nItem MESSAGE_1 = new AppSpecificI18nItem
        (p ("en", "That's cool!"),
         p ("fr", "C'est le pied!"),
         p ("ru", "Круто!")); 
    public static I18nItem MESSAGE_2 = new AppSpecificI18nItem
        (p ("en", "Just what we need!"),
         p ("fr", "Exactement ce qu'il nous faut!"),
         p ("ru", "То, что нужно!"));

    public static void main (String[] args)
      {
        // in some cases implicit conversion to String is available...
        System.out.println (DemoClassI18n.MESSAGE_1);

        // ... and in other cases the .s() shorthand method is at our disposal
        String s = DemoClassI18n.MESSAGE_2.s ();
        System.out.println (s);
      }
  }
